// package main -- пускач для хранилища
package main

import (
	"log"

	"git.p78su.freemyip.com/svi/gostore/internal/service"
)

func main() {
	log.Printf("main()\n")
	serv, err := service.NewService()
	if err != nil {
		log.Printf("main(): in create IService, err=\n\t%v\n", err)
		return
	}
	if err := serv.Run(); err != nil {
		log.Printf("main(): in work IService, err=\n\t%v\n", err)
		return
	}
	log.Printf("main(): end\n")
}
